<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:29 CEST 2014 -->
<title>WebSocketAdapter</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WebSocketAdapter";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocketAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WebSocketAdapter.html" target="_top">Frames</a></li>
<li><a href="WebSocketAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket</div>
<h2 title="Class WebSocketAdapter" class="title">Class WebSocketAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.WebSocketAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client">WebSocketClient</a>, <a href="../../org/java_websocket/server/WebSocketServer.html" title="class in org.java_websocket.server">WebSocketServer</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">WebSocketAdapter</span>
extends java.lang.Object
implements <a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></pre>
<div class="block">This class default implements all methods of the WebSocketListener that can be overridden optionally when advances functionalities is needed.<br></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#WebSocketAdapter()">WebSocketAdapter</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#getFlashPolicy(org.java_websocket.WebSocket)">getFlashPolicy</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>
<div class="block">Gets the XML string that should be returned if a client requests a Flash
 security policy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">onWebsocketHandshakeReceivedAsClient</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                    <a href="../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)</code>
<div class="block">Called on the client side when the socket connection is first established, and the WebSocketImpl
 handshake response has been received.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeSentAsClient</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">This default implementation does not do anything which will cause the connections to always progress.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation will send a pong in response to the received ping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocketAdapter.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></strong>(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.WebSocketListener">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.<a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></h3>
<code><a href="../../org/java_websocket/WebSocketListener.html#getLocalSocketAddress(org.java_websocket.WebSocket)">getLocalSocketAddress</a>, <a href="../../org/java_websocket/WebSocketListener.html#getRemoteSocketAddress(org.java_websocket.WebSocket)">getRemoteSocketAddress</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClose</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketCloseInitiated(org.java_websocket.WebSocket,%20int,%20java.lang.String)">onWebsocketCloseInitiated</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketClosing(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClosing</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketError(org.java_websocket.WebSocket,%20java.lang.Exception)">onWebsocketError</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.nio.ByteBuffer)">onWebsocketMessage</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.lang.String)">onWebsocketMessage</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWebsocketOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.Handshakedata)">onWebsocketOpen</a>, <a href="../../org/java_websocket/WebSocketListener.html#onWriteDemand(org.java_websocket.WebSocket)">onWriteDemand</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WebSocketAdapter()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WebSocketAdapter</h4>
<pre>public&nbsp;WebSocketAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket, org.java_websocket.drafts.Draft, org.java_websocket.handshake.ClientHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketHandshakeReceivedAsServer</h4>
<pre>public&nbsp;<a href="../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a>&nbsp;onWebsocketHandshakeReceivedAsServer(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                                          <a href="../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                                          <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)
                                                            throws <a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<div class="block">This default implementation does not do anything. Go ahead and overwrite it.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>conn</code> - The WebSocket related to this event</dd><dd><code>draft</code> - The protocol draft the client uses to connect</dd><dd><code>request</code> - The opening http message send by the client. Can be used to access additional fields like cookies.</dd>
<dt><span class="strong">Returns:</span></dt><dd>Returns an incomplete handshake containing all optional fields</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code> - Throwing this exception will cause this handshake to be rejected</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)"><code>WebSocketListener.onWebsocketHandshakeReceivedAsServer(WebSocket, Draft, ClientHandshake)</code></a></dd></dl>
</li>
</ul>
<a name="onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket, org.java_websocket.handshake.ClientHandshake, org.java_websocket.handshake.ServerHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketHandshakeReceivedAsClient</h4>
<pre>public&nbsp;void&nbsp;onWebsocketHandshakeReceivedAsClient(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                        <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                        <a href="../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)
                                          throws <a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">WebSocketListener</a></code></strong></div>
<div class="block">Called on the client side when the socket connection is first established, and the WebSocketImpl
 handshake response has been received.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">onWebsocketHandshakeReceivedAsClient</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>conn</code> - The WebSocket related to this event</dd><dd><code>request</code> - The handshake initially send out to the server by this websocket.</dd><dd><code>response</code> - The handshake the server sent in response to the request.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code> - Allows the client to reject the connection with the server in respect of its handshake response.</dd></dl>
</li>
</ul>
<a name="onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket, org.java_websocket.handshake.ClientHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketHandshakeSentAsClient</h4>
<pre>public&nbsp;void&nbsp;onWebsocketHandshakeSentAsClient(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)
                                      throws <a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<div class="block">This default implementation does not do anything which will cause the connections to always progress.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeSentAsClient</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>conn</code> - The WebSocket related to this event</dd><dd><code>request</code> - The handshake sent to the server by this websocket</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code> - Allows the client to stop the connection from progressing</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)"><code>WebSocketListener.onWebsocketHandshakeSentAsClient(WebSocket, ClientHandshake)</code></a></dd></dl>
</li>
</ul>
<a name="onWebsocketMessageFragment(org.java_websocket.WebSocket, org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketMessageFragment</h4>
<pre>public&nbsp;void&nbsp;onWebsocketMessageFragment(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                              <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</pre>
<div class="block">This default implementation does not do anything. Go ahead and overwrite it</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)"><code>WebSocketListener.onWebsocketMessageFragment(WebSocket, Framedata)</code></a></dd></dl>
</li>
</ul>
<a name="onWebsocketPing(org.java_websocket.WebSocket, org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketPing</h4>
<pre>public&nbsp;void&nbsp;onWebsocketPing(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                   <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</pre>
<div class="block">This default implementation will send a pong in response to the received ping.
 The pong frame will have the same payload as the ping frame.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dd><code>f</code> - The ping frame. Control frames may contain payload.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)"><code>WebSocketListener.onWebsocketPing(WebSocket, Framedata)</code></a></dd></dl>
</li>
</ul>
<a name="onWebsocketPong(org.java_websocket.WebSocket, org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onWebsocketPong</h4>
<pre>public&nbsp;void&nbsp;onWebsocketPong(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                   <a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</pre>
<div class="block">This default implementation does not do anything. Go ahead and overwrite it.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><code>org.java_websocket.WebSocketListener#onWebsocketPong(WebSocket, Framedata)</code></dd></dl>
</li>
</ul>
<a name="getFlashPolicy(org.java_websocket.WebSocket)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFlashPolicy</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFlashPolicy(<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)
                                throws <a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<div class="block">Gets the XML string that should be returned if a client requests a Flash
 security policy.
 
 The default implementation allows access from all remote domains, but
 only on the port that this WebSocketServer is listening on.
 
 This is specifically implemented for gitime's WebSocket client for Flash:
 http://github.com/gimite/web-socket-js</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WebSocketListener.html#getFlashPolicy(org.java_websocket.WebSocket)">getFlashPolicy</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>An XML String that comforts to Flash's security policy. You MUST
         not include the null char at the end, it is appended automatically.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code> - thrown when some data that is required to generate the flash-policy like the websocket local port could not be obtained e.g because the websocket is not connected.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocketAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WebSocketAdapter.html" target="_top">Frames</a></li>
<li><a href="WebSocketAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
